﻿using System;
using System.Windows.Forms;
using System.Diagnostics;
using System.IO;
using System.Text;
/* Sunoco's Driver Editor
Copyright (c) 2010, JC Leyba, Spectre Studios
All rights reserved.
 */
namespace Driver_Editor
{
	partial class MainForm
	{
		string drvFile="none";
		/// <summary>
		/// Designer variable used to keep track of non-visual components.
		/// </summary>
		private System.ComponentModel.IContainer components = null;
		
		/// <summary>
		/// Disposes resources used by the form.
		/// </summary>
		/// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
		protected override void Dispose(bool disposing)
		{
			if (disposing) {
				if (components != null) {
					components.Dispose();
				}
			}
			base.Dispose(disposing);
		}
		
		/// <summary>
		/// This method is required for Windows Forms designer support.
		/// Do not change the method contents inside the source code editor. The Forms designer might
		/// not be able to load this method if it was changed manually.
		/// </summary>
		private void InitializeComponent()
		{
			System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(MainForm));
			this.Conv_Human = new System.Windows.Forms.Button();
			this.convAI = new System.Windows.Forms.Button();
			this.openFileDialog1 = new System.Windows.Forms.OpenFileDialog();
			this.menuStrip1 = new System.Windows.Forms.MenuStrip();
			this.toolStripMenuItem1 = new System.Windows.Forms.ToolStripMenuItem();
			this.openToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
			this.btnTotalSeasons = new System.Windows.Forms.Button();
			this.ConvertLabel = new System.Windows.Forms.Label();
			this.SeasonStatsLabel = new System.Windows.Forms.Label();
			this.btnTotalChampionships = new System.Windows.Forms.Button();
			this.txtTotal = new System.Windows.Forms.TextBox();
			this.btnTotal2nds = new System.Windows.Forms.Button();
			this.btnTotal3rds = new System.Windows.Forms.Button();
			this.btnTotal4ths = new System.Windows.Forms.Button();
			this.btnTotal5ths = new System.Windows.Forms.Button();
			this.btnTotal6ths = new System.Windows.Forms.Button();
			this.btnTotalWins = new System.Windows.Forms.Button();
			this.button5 = new System.Windows.Forms.Button();
			this.button6 = new System.Windows.Forms.Button();
			this.button7 = new System.Windows.Forms.Button();
			this.label1 = new System.Windows.Forms.Label();
			this.button1 = new System.Windows.Forms.Button();
			this.button2 = new System.Windows.Forms.Button();
			this.button3 = new System.Windows.Forms.Button();
			this.button4 = new System.Windows.Forms.Button();
			this.button8 = new System.Windows.Forms.Button();
			this.exitToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
			this.menuStrip1.SuspendLayout();
			this.SuspendLayout();
			// 
			// Conv_Human
			// 
			this.Conv_Human.Location = new System.Drawing.Point(11, 54);
			this.Conv_Human.Name = "Conv_Human";
			this.Conv_Human.Size = new System.Drawing.Size(103, 23);
			this.Conv_Human.TabIndex = 3;
			this.Conv_Human.Text = "Convert to Human";
			this.Conv_Human.UseVisualStyleBackColor = true;
			this.Conv_Human.Click += new System.EventHandler(this.Conv_HumanClick);
			// 
			// convAI
			// 
			this.convAI.Location = new System.Drawing.Point(11, 83);
			this.convAI.Name = "convAI";
			this.convAI.Size = new System.Drawing.Size(103, 23);
			this.convAI.TabIndex = 4;
			this.convAI.Text = "Convert to AI";
			this.convAI.UseVisualStyleBackColor = true;
			this.convAI.Click += new System.EventHandler(this.ConvAIClick);
			// 
			// openFileDialog1
			// 
			this.openFileDialog1.FileName = "openFileDialog1";
			// 
			// menuStrip1
			// 
			this.menuStrip1.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
									this.toolStripMenuItem1});
			this.menuStrip1.Location = new System.Drawing.Point(0, 0);
			this.menuStrip1.Name = "menuStrip1";
			this.menuStrip1.Size = new System.Drawing.Size(324, 24);
			this.menuStrip1.TabIndex = 5;
			this.menuStrip1.Text = "menuStrip1";
			// 
			// toolStripMenuItem1
			// 
			this.toolStripMenuItem1.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
									this.openToolStripMenuItem,
									this.exitToolStripMenuItem});
			this.toolStripMenuItem1.Name = "toolStripMenuItem1";
			this.toolStripMenuItem1.Size = new System.Drawing.Size(35, 20);
			this.toolStripMenuItem1.Text = "File";
			// 
			// openToolStripMenuItem
			// 
			this.openToolStripMenuItem.Name = "openToolStripMenuItem";
			this.openToolStripMenuItem.Size = new System.Drawing.Size(152, 22);
			this.openToolStripMenuItem.Text = "Open";
			this.openToolStripMenuItem.Click += new System.EventHandler(this.OpenToolStripMenuItemClick);
			// 
			// btnTotalSeasons
			// 
			this.btnTotalSeasons.Location = new System.Drawing.Point(12, 329);
			this.btnTotalSeasons.Name = "btnTotalSeasons";
			this.btnTotalSeasons.Size = new System.Drawing.Size(102, 23);
			this.btnTotalSeasons.TabIndex = 8;
			this.btnTotalSeasons.Text = "Total Seasons";
			this.btnTotalSeasons.UseVisualStyleBackColor = true;
			this.btnTotalSeasons.Click += new System.EventHandler(this.BtnTotalSeasonsClick);
			// 
			// ConvertLabel
			// 
			this.ConvertLabel.Location = new System.Drawing.Point(12, 37);
			this.ConvertLabel.Name = "ConvertLabel";
			this.ConvertLabel.Size = new System.Drawing.Size(45, 14);
			this.ConvertLabel.TabIndex = 9;
			this.ConvertLabel.Text = "Convert";
			// 
			// SeasonStatsLabel
			// 
			this.SeasonStatsLabel.Location = new System.Drawing.Point(11, 135);
			this.SeasonStatsLabel.Name = "SeasonStatsLabel";
			this.SeasonStatsLabel.Size = new System.Drawing.Size(102, 15);
			this.SeasonStatsLabel.TabIndex = 10;
			this.SeasonStatsLabel.Text = "Season Statistics";
			// 
			// btnTotalChampionships
			// 
			this.btnTotalChampionships.Location = new System.Drawing.Point(10, 153);
			this.btnTotalChampionships.Name = "btnTotalChampionships";
			this.btnTotalChampionships.Size = new System.Drawing.Size(103, 23);
			this.btnTotalChampionships.TabIndex = 11;
			this.btnTotalChampionships.Text = "Champonships";
			this.btnTotalChampionships.UseVisualStyleBackColor = true;
			this.btnTotalChampionships.Click += new System.EventHandler(this.BtnTotalChampionshipsClick);
			// 
			// txtTotal
			// 
			this.txtTotal.Location = new System.Drawing.Point(11, 112);
			this.txtTotal.Name = "txtTotal";
			this.txtTotal.Size = new System.Drawing.Size(297, 20);
			this.txtTotal.TabIndex = 12;
			// 
			// btnTotal2nds
			// 
			this.btnTotal2nds.Location = new System.Drawing.Point(12, 183);
			this.btnTotal2nds.Name = "btnTotal2nds";
			this.btnTotal2nds.Size = new System.Drawing.Size(102, 23);
			this.btnTotal2nds.TabIndex = 13;
			this.btnTotal2nds.Text = "2nd ";
			this.btnTotal2nds.UseVisualStyleBackColor = true;
			this.btnTotal2nds.Click += new System.EventHandler(this.BtnTotal2ndsClick);
			// 
			// btnTotal3rds
			// 
			this.btnTotal3rds.Location = new System.Drawing.Point(12, 213);
			this.btnTotal3rds.Name = "btnTotal3rds";
			this.btnTotal3rds.Size = new System.Drawing.Size(101, 23);
			this.btnTotal3rds.TabIndex = 15;
			this.btnTotal3rds.Text = "3rd";
			this.btnTotal3rds.UseVisualStyleBackColor = true;
			this.btnTotal3rds.Click += new System.EventHandler(this.BtnTotal3rdsClick);
			// 
			// btnTotal4ths
			// 
			this.btnTotal4ths.Location = new System.Drawing.Point(12, 242);
			this.btnTotal4ths.Name = "btnTotal4ths";
			this.btnTotal4ths.Size = new System.Drawing.Size(101, 23);
			this.btnTotal4ths.TabIndex = 17;
			this.btnTotal4ths.Text = "4th";
			this.btnTotal4ths.UseVisualStyleBackColor = true;
			this.btnTotal4ths.Click += new System.EventHandler(this.BtnTotal4thsClick);
			// 
			// btnTotal5ths
			// 
			this.btnTotal5ths.Location = new System.Drawing.Point(12, 272);
			this.btnTotal5ths.Name = "btnTotal5ths";
			this.btnTotal5ths.Size = new System.Drawing.Size(102, 23);
			this.btnTotal5ths.TabIndex = 18;
			this.btnTotal5ths.Text = "5th";
			this.btnTotal5ths.UseVisualStyleBackColor = true;
			this.btnTotal5ths.Click += new System.EventHandler(this.BtnTotal5thsClick);
			// 
			// btnTotal6ths
			// 
			this.btnTotal6ths.Location = new System.Drawing.Point(11, 301);
			this.btnTotal6ths.Name = "btnTotal6ths";
			this.btnTotal6ths.Size = new System.Drawing.Size(103, 23);
			this.btnTotal6ths.TabIndex = 19;
			this.btnTotal6ths.Text = "6th";
			this.btnTotal6ths.UseVisualStyleBackColor = true;
			this.btnTotal6ths.Click += new System.EventHandler(this.BtnTotal6thsClick);
			// 
			// btnTotalWins
			// 
			this.btnTotalWins.Location = new System.Drawing.Point(207, 153);
			this.btnTotalWins.Name = "btnTotalWins";
			this.btnTotalWins.Size = new System.Drawing.Size(102, 23);
			this.btnTotalWins.TabIndex = 20;
			this.btnTotalWins.Text = "Total Wins";
			this.btnTotalWins.UseVisualStyleBackColor = true;
			this.btnTotalWins.Click += new System.EventHandler(this.BtnTotalWinsClick);
			// 
			// button5
			// 
			this.button5.Location = new System.Drawing.Point(207, 183);
			this.button5.Name = "button5";
			this.button5.Size = new System.Drawing.Size(102, 23);
			this.button5.TabIndex = 21;
			this.button5.Text = "Total 2nds";
			this.button5.UseVisualStyleBackColor = true;
			this.button5.Click += new System.EventHandler(this.Button5Click);
			// 
			// button6
			// 
			this.button6.Location = new System.Drawing.Point(207, 213);
			this.button6.Name = "button6";
			this.button6.Size = new System.Drawing.Size(102, 23);
			this.button6.TabIndex = 22;
			this.button6.Text = "Total 3rds";
			this.button6.UseVisualStyleBackColor = true;
			this.button6.Click += new System.EventHandler(this.Button6Click);
			// 
			// button7
			// 
			this.button7.Location = new System.Drawing.Point(206, 329);
			this.button7.Name = "button7";
			this.button7.Size = new System.Drawing.Size(102, 23);
			this.button7.TabIndex = 23;
			this.button7.Text = "Total Starts";
			this.button7.UseVisualStyleBackColor = true;
			this.button7.Click += new System.EventHandler(this.Button7Click);
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(206, 135);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(86, 15);
			this.label1.TabIndex = 24;
			this.label1.Text = "Race Statistics";
			// 
			// button1
			// 
			this.button1.Location = new System.Drawing.Point(207, 242);
			this.button1.Name = "button1";
			this.button1.Size = new System.Drawing.Size(102, 23);
			this.button1.TabIndex = 26;
			this.button1.Text = "Total 4ths";
			this.button1.UseVisualStyleBackColor = true;
			this.button1.Click += new System.EventHandler(this.Button1Click);
			// 
			// button2
			// 
			this.button2.Location = new System.Drawing.Point(207, 272);
			this.button2.Name = "button2";
			this.button2.Size = new System.Drawing.Size(102, 23);
			this.button2.TabIndex = 27;
			this.button2.Text = "Total 5ths";
			this.button2.UseVisualStyleBackColor = true;
			this.button2.Click += new System.EventHandler(this.Button2Click);
			// 
			// button3
			// 
			this.button3.Location = new System.Drawing.Point(207, 301);
			this.button3.Name = "button3";
			this.button3.Size = new System.Drawing.Size(102, 23);
			this.button3.TabIndex = 28;
			this.button3.Text = "Total 6ths";
			this.button3.UseVisualStyleBackColor = true;
			this.button3.Click += new System.EventHandler(this.Button3Click);
			// 
			// button4
			// 
			this.button4.Location = new System.Drawing.Point(11, 358);
			this.button4.Name = "button4";
			this.button4.Size = new System.Drawing.Size(102, 23);
			this.button4.TabIndex = 29;
			this.button4.Text = "Fastest Laps";
			this.button4.UseVisualStyleBackColor = true;
			this.button4.Click += new System.EventHandler(this.Button4Click);
			// 
			// button8
			// 
			this.button8.Location = new System.Drawing.Point(206, 358);
			this.button8.Name = "button8";
			this.button8.Size = new System.Drawing.Size(102, 23);
			this.button8.TabIndex = 30;
			this.button8.Text = "Total Points";
			this.button8.UseVisualStyleBackColor = true;
			this.button8.Click += new System.EventHandler(this.Button8Click);
			// 
			// exitToolStripMenuItem
			// 
			this.exitToolStripMenuItem.Name = "exitToolStripMenuItem";
			this.exitToolStripMenuItem.Size = new System.Drawing.Size(152, 22);
			this.exitToolStripMenuItem.Text = "Exit";
			this.exitToolStripMenuItem.Click += new System.EventHandler(this.ExitToolStripMenuItemClick);
			// 
			// MainForm
			// 
			this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
			this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
			this.ClientSize = new System.Drawing.Size(324, 420);
			this.Controls.Add(this.button8);
			this.Controls.Add(this.button4);
			this.Controls.Add(this.button3);
			this.Controls.Add(this.button2);
			this.Controls.Add(this.button1);
			this.Controls.Add(this.label1);
			this.Controls.Add(this.button7);
			this.Controls.Add(this.button6);
			this.Controls.Add(this.button5);
			this.Controls.Add(this.btnTotalWins);
			this.Controls.Add(this.btnTotal6ths);
			this.Controls.Add(this.btnTotal5ths);
			this.Controls.Add(this.btnTotal4ths);
			this.Controls.Add(this.btnTotal3rds);
			this.Controls.Add(this.btnTotal2nds);
			this.Controls.Add(this.txtTotal);
			this.Controls.Add(this.btnTotalChampionships);
			this.Controls.Add(this.SeasonStatsLabel);
			this.Controls.Add(this.ConvertLabel);
			this.Controls.Add(this.btnTotalSeasons);
			this.Controls.Add(this.convAI);
			this.Controls.Add(this.Conv_Human);
			this.Controls.Add(this.menuStrip1);
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.Name = "MainForm";
			this.Text = "Sunoco\'s Driver Editor";
			this.menuStrip1.ResumeLayout(false);
			this.menuStrip1.PerformLayout();
			this.ResumeLayout(false);
			this.PerformLayout();
		}
		private System.Windows.Forms.ToolStripMenuItem exitToolStripMenuItem;
		private System.Windows.Forms.Button button8;
		private System.Windows.Forms.Button button4;
		private System.Windows.Forms.TextBox txtTotal;
		private System.Windows.Forms.Label SeasonStatsLabel;
		private System.Windows.Forms.Button button3;
		private System.Windows.Forms.Button button2;
		private System.Windows.Forms.Button button1;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Button button7;
		private System.Windows.Forms.Button button6;
		private System.Windows.Forms.Button button5;
		private System.Windows.Forms.Button btnTotalWins;
		private System.Windows.Forms.Button btnTotal6ths;
		private System.Windows.Forms.Button btnTotal5ths;
		private System.Windows.Forms.Button btnTotal4ths;
		private System.Windows.Forms.Button btnTotal3rds;
		private System.Windows.Forms.Button btnTotal2nds;
		private System.Windows.Forms.Button btnTotalChampionships;
		private System.Windows.Forms.Label ConvertLabel;
		private System.Windows.Forms.Button btnTotalSeasons;
		private System.Windows.Forms.OpenFileDialog openFileDialog1;
		private System.Windows.Forms.ToolStripMenuItem toolStripMenuItem1;
		private System.Windows.Forms.ToolStripMenuItem openToolStripMenuItem;
		private System.Windows.Forms.MenuStrip menuStrip1;
		private System.Windows.Forms.Button convAI;
		private System.Windows.Forms.Button Conv_Human;
		
		void OpenToolStripMenuItemClick(object sender, System.EventArgs e)
		{
			openFileDialog1.Filter = "Driver Files .drv|*.drv";
			openFileDialog1.ShowDialog();
			if (openFileDialog1.FileName != "");
			{
				drvFile = openFileDialog1.FileName;
			}
			}
		}
		


		

	}

